const {Menu, shell} = require('electron');
const func = require('./function/menu');
const demo = require('./function/demo-application-menu');

let template = [
  {
    label: 'Fichier',
    submenu: [
      {
        label: 'Nouveau',
        accelerator: 'CmdOrCtrl+N',
        click: func.new
      },
      {
        label: 'Importer',
        click: func.import
      },
      {
        type: 'separator'
      },
      {
        label: 'Reset',
        click: () => {
          mainWindow.webContents.send('reset-app');
        }
      }
    ]
  },
  {
    label: 'Demo',
    submenu: [
      {
        label: 'Test',
        click: () => {
          console.log('Reset');
        }
      }
    ]
  },
  {
    label: 'Fenêtre',
    submenu: [
      {
        label: 'Pleine écran',
        accelerator: (() => {
          if (process.platform === 'darwin') {
            return 'Ctrl+Command+F'
          } else {
            return 'F11'
          }
        })(),
        click: (item, focusedWindow) => {
          if (focusedWindow) {
            focusedWindow.setFullScreen(!focusedWindow.isFullScreen())
          }
        }
      },
      {
        label: 'Minimiser',
        accelerator: 'CmdOrCtrl+M',
        role: 'minimize'
      }, 
      {
        label: 'Fermer',
        accelerator: 'CmdOrCtrl+W',
        role: 'close'
      },
      {
        type: 'separator'
      },
      {
        label: 'Outils Developpeur',
        accelerator: (() => {
          if (process.platform === 'darwin') {
            return 'Alt+Command+I'
          } else {
            return 'Ctrl+Shift+I'
          }
        })(),
        click: (item, focusedWindow) => {
          if (focusedWindow) {
            focusedWindow.toggleDevTools()
          }
        }
      }
    ]
  },
  {
    label: 'À propos',
    submenu: [
      {
        label: 'Electron',
        click: () => {
          shell.openExternal('https://www.electronjs.org');
        }
      }, 
      {
        label: 'Electronotes',
        click: () => {
          shell.openExternal('https://gitlab.univ-artois.fr/arthur_brandao/conf-electron');
        }
      }
    ]
  }
];

const menu = Menu.buildFromTemplate(template);
Menu.setApplicationMenu(menu);